Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider
Class MessageDigest

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--java.security.MessageDigest
                  |
                  +--org.mozilla.jss.provider.MessageDigest

Direct Known Subclasses:
  MD2MessageDigest, MD5MessageDigest, SHA1MessageDigest

abstract class MessageDigest
extends java.security.MessageDigest

A JCA provider of message digesting implemented with Netscape Security Services. One big problem is the Sun interface doesn't thrown any exceptions, so I can't thrown any exceptions, even though lots can go wrong.

Inner classes inherited from class java.security.MessageDigest
`java.security.MessageDigest.Delegate`

Field Summary
`private JSSMessageDigest` | `md`

Fields inherited from class java.security.MessageDigest
`algorithm, IN_PROGRESS, INITIAL, provider, state`

Constructor Summary
`protected` | `MessageDigest(java.lang.String algName)` Creates a JSS MessageDigest provider object.

Method Summary
`java.lang.Object` | `clone()` Throws CloneNotSupportedException, because this implementation is not clonable.
`protected byte[]` | `engineDigest()`
`protected void` | `engineReset()`
`protected void` | `engineUpdate(byte input)`
`protected void` | `engineUpdate(byte[] input, int offset, int len)`
`protected abstract DigestAlgorithm` | `getAlg()` Returns the particular algorithm that the subclass is implementing.

Methods inherited from class java.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class java.security.MessageDigestSpi
`engineDigest, engineGetDigestLength`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### md

    private JSSMessageDigest md

Constructor Detail

### MessageDigest

    protected MessageDigest(java.lang.String algName)

  Creates a JSS MessageDigest provider object.

Method Detail

### getAlg

    protected abstract DigestAlgorithm getAlg()

  Returns the particular algorithm that the subclass is implementing.

### engineUpdate

    protected void engineUpdate(byte input)

  Overrides:
    `engineUpdate` in class `java.security.MessageDigestSpi`

### engineUpdate

    protected void engineUpdate(byte[] input,
                                int offset,
                                int len)

  Overrides:
    `engineUpdate` in class `java.security.MessageDigestSpi`

### engineDigest

    protected byte[] engineDigest()

  Overrides:
    `engineDigest` in class `java.security.MessageDigestSpi`

### engineReset

    protected void engineReset()

  Overrides:
    `engineReset` in class `java.security.MessageDigestSpi`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws CloneNotSupportedException, because this implementation is not clonable.
  Overrides:
    `clone` in class `java.security.MessageDigest`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD